package com.slprojects.democultureconceptsinfo;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDateTime;
import java.util.List;
import java.util.UUID;

@RestController
public class PlayerController {


    @GetMapping("/players")
    public List<Player> getAllPlayers() {
        return List.of(PlayerService.firstFakePlayer, PlayerService.secondFakePlayer, PlayerService.thirdFakePlayer, PlayerService.fourthFakePlayer);
    }

    @GetMapping("/online-players")
    public List<Player> getOnlinePlayers() {
        return List.of(PlayerService.firstFakePlayer, PlayerService.secondFakePlayer);
    }

    @GetMapping("/offline-players")
    public List<Player> getOfflinePlayers() {
        return List.of(PlayerService.thirdFakePlayer, PlayerService.fourthFakePlayer);
    }

    @GetMapping("/player")
    public Player getPlayer(UUID uuid) {
        return PlayerService.getPlayer(uuid);
    }
}
