package com.slprojects.democultureconceptsinfo;

public class Shop {
    private final String itemName;
    private double price;
    private int stock;
    private final Player owner;

    public Shop(String itemName, double price, int stock, Player owner) {
        this.itemName = itemName;
        this.price = price;
        this.stock = stock;
        this.owner = owner;
    }

    public String getItemName() {
        return itemName;
    }

    public double getPrice() {
        return price;
    }

    public int getStock() {
        return stock;
    }

    public Player getOwner() {
        return owner;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public void setStock(int stock) {
        this.stock = stock;
    }

    public void buy(Player player) {
        if (player.getBalance() >= price && stock > 0) {
            player.setBalance(player.getBalance() - price);
            owner.setBalance(owner.getBalance() + price);
            stock--;
        }
    }

    @Override
    public String toString() {
        return "Shop{" +
                "itemName='" + itemName + '\'' +
                ", price=" + price +
                ", stock=" + stock +
                ", owner=" + owner.getUsername() +
                '}';
    }
}
