package com.slprojects.democultureconceptsinfo;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.UUID;

@RestController
public class ShopController {

    @GetMapping("/shops")
    public List<Shop> getAllShops() {
        return List.of(ShopService.firstFakeShop, ShopService.secondFakeShop, ShopService.thirdFakeShop, ShopService.fourthFakeShop);
    }

    @GetMapping("/shop")
    public Shop getShop(String itemName) {
        return ShopService.getShop(itemName);
    }

    @GetMapping("/buy")
    public void buy(Player player, String itemName) {
        ShopService.buy(player, itemName);
    }

    @GetMapping("/set-price")
    public void setPrice(String itemName, double price) {
        ShopService.setPrice(itemName, price);
    }

    @GetMapping("/set-stock")
    public void setStock(String itemName, int stock) {
        ShopService.setStock(itemName, stock);
    }
}
